Skip to Content
veriom

Update finding view

PUT
/v1/workspaces/{workspace_id}/finding-views/{view_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
view_id*View Id
Formatuuid

Request Body

application/json
  1. body
expected_version*Expected Version
Range1 <= value
filters?
name*Name
Length1 <= length <= 100
shared?Shared
Defaultfalse

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
filters?
id*Id
Formatuuid
name*Name
Length1 <= length <= 100
shared?Shared
Defaultfalse
updated_at*Updated At
Formatdate-time
version*Version
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/finding-views/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "expected_version": 1,  "name": "string"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "filters": {    "architecture_disposition": "actionable",    "first_seen_after": "2019-08-24T14:15:22Z",    "first_seen_before": "2019-08-24T14:15:22Z",    "lifecycle_state": "new",    "owner": "534359f7-5407-4b19-ba92-c71c370022a5",    "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",    "severity": "critical",    "sort": "newest",    "status": "new",    "structural_layer": "code"  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "shared": false,  "updated_at": "2019-08-24T14:15:22Z",  "version": 0,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}